Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# RData Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
void(* | dmark )(void *)
void(* | dfree )(void *)
void * | data

## Detailed Description

Definition at line 738 of file ruby.h.

## Field Documentation

struct RBasic RData::basic

Definition at line 739 of file ruby.h.

void* RData::data

Definition at line 742 of file ruby.h.

Referenced by make_io_deferred().

void(* RData::dfree)(void *)

Definition at line 741 of file ruby.h.

Referenced by make_io_deferred().

void(* RData::dmark)(void *)

Definition at line 740 of file ruby.h.

Referenced by gc_mark_children().

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h